class AcademicProgramType
  include Mongoid::Document

  field :title, type: String
  field :slug, type: String
  field :weight, type: Integer, default: 1

  validates :title, :slug, presence: true, uniqueness: true

  alias to_s title
end
