module TrogdirPerson
  extend ActiveSupport::Concern

  included do
    field :trogdir_id, type: String
    field :biola_id, type: Integer
    field :biola_photo_url, type: String

    # Biola-controlled contact info
    field :biola_email, type: String

    validates :trogdir_id, uniqueness: true, allow_blank: true
    validates :biola_id, uniqueness: true, allow_blank: true
    validates :biola_email, email: true, allow_blank: true

    #TODO validate biola_photo_url
  end
end
