class EmbeddedImage
  include Mongoid::Document
  include Mongoid::Timestamps
  include Mongoid::History::Trackable

  mount_uploader :upload, EmbeddedImageUploader

  track_history on: :fields, track_create: true, track_update: true, track_destroy: true
end
