# -*- encoding: utf-8 -*-
# stub: buweb_content_models 1.55.2 ruby lib

Gem::Specification.new do |s|
  s.name = "buweb_content_models".freeze
  s.version = "1.55.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jeff Silzer".freeze]
  s.date = "2020-02-18"
  s.description = "Shared Mongoid models for Biola web content to be used by apps that are part of the Biola WCMS platform".freeze
  s.email = "jeff.silzer@biola.edu".freeze
  s.homepage = "https://github.com/biola/buweb-content-models".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Mongoid models for Biola web content".freeze

  s.installed_by_version = "3.1.2" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aasm>.freeze, ["~> 3.3"])
    s.add_runtime_dependency(%q<carrierwave-mongoid>.freeze, ["~> 0.7"])
    s.add_runtime_dependency(%q<carrierwave-roz>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<elasticsearch>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<elasticsearch-model>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<email_validator>.freeze, ["~> 1.4"])
    s.add_runtime_dependency(%q<lisbn>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<mini_magick>.freeze, ["~> 3.7"])
    s.add_runtime_dependency(%q<mongoid>.freeze, ["~> 5.1"])
    s.add_runtime_dependency(%q<mongoid-history>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<mongoid-slug>.freeze, ["~> 5.1"])
    s.add_runtime_dependency(%q<wisper>.freeze, [">= 2.0.0.rc1", "< 3"])
    s.add_development_dependency(%q<factory_girl>.freeze, ["~> 4.5"])
    s.add_development_dependency(%q<faker>.freeze, ["~> 1.4"])
    s.add_development_dependency(%q<mongoid-rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0.9", "< 2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<wisper-rspec>.freeze, ["~> 0.0.2"])
  else
    s.add_dependency(%q<aasm>.freeze, ["~> 3.3"])
    s.add_dependency(%q<carrierwave-mongoid>.freeze, ["~> 0.7"])
    s.add_dependency(%q<carrierwave-roz>.freeze, ["~> 0.3"])
    s.add_dependency(%q<elasticsearch>.freeze, ["~> 1.0"])
    s.add_dependency(%q<elasticsearch-model>.freeze, ["~> 0.1"])
    s.add_dependency(%q<email_validator>.freeze, ["~> 1.4"])
    s.add_dependency(%q<lisbn>.freeze, ["~> 0.2"])
    s.add_dependency(%q<mini_magick>.freeze, ["~> 3.7"])
    s.add_dependency(%q<mongoid>.freeze, ["~> 5.1"])
    s.add_dependency(%q<mongoid-history>.freeze, ["~> 0.5"])
    s.add_dependency(%q<mongoid-slug>.freeze, ["~> 5.1"])
    s.add_dependency(%q<wisper>.freeze, [">= 2.0.0.rc1", "< 3"])
    s.add_dependency(%q<factory_girl>.freeze, ["~> 4.5"])
    s.add_dependency(%q<faker>.freeze, ["~> 1.4"])
    s.add_dependency(%q<mongoid-rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, [">= 0.9", "< 2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<wisper-rspec>.freeze, ["~> 0.0.2"])
  end
end
