module Thumbnail
  extend ActiveSupport::Concern

  included do
    mount_uploader :image, ThumbnailUploader
    attr_accessor :crop_x, :crop_y, :crop_w, :crop_h
    after_save :crop_image

    def crop_image
      image.recreate_versions! if crop_x.present?
    end
  end
end
