require 'lisbn'

class IsbnValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    unless Lisbn.new(value.to_s).valid?
      record.errors[attribute] << 'is not a valid ISBN'
    end
  end
end
